<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">
<head>
	<meta charset="UTF-8">
	<title>Open Banking Brasil Functional Conformance: Login</title>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

    <!-- Optional theme -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=PT+Sans">
    <link rel="stylesheet" type="text/css" href="/css/layout.css">



</head>
<body>
	<div class="pageHeader container-fluid">
		<div class="row-fluid">
			<div class="col-md-8">
				<a href="index.html"><img src="/images/ob_brasil.svg"></a>
			</div>
			<div id="userInfoDiv" class="col-md-4 text-right"></div>
		</div>
	</div>
	<div class="clearfix"></div>

	<div class="container-fluid">
		<div class="row">
			<div class="col-xs-12 col-md-6 col-md-offset-3 center-block center-text">
				<h1 class="text-center">Login to the Open Banking Brasil Functional Conformance Suite</h1>
				<p id="error" class="bg-danger collapse">There was an error logging you in: <span id="error-details"></span></p>
				<p id="logout" class="bg-info collapse">You have been logged out.</p>
				<p class="text-center">
					<a class="btn btn-success btn-lg" href="/openid_connect_login?iss=https://auth.sandbox.directory.openbankingbrasil.org.br/">Log in with OB Brazil Directory</a>
					<a class="btn btn-primary btn-lg" href="/openid_connect_login?iss=https://gitlab.com">Administrator Login</a>
				</p>
			</div>
		</div>
		<div class="row">
			<div class="col-md-2">
            <a href="logs.html?public=true" class="btn btn-info btn-block"><span class="glyphicon glyphicon-duplicate"></span> View published logs</a>
            <a href="plans.html?public=true" class="btn btn-info btn-block"><span class="glyphicon glyphicon-book"></span> View published plans</a>
			</div>
		</div>
	</div>
	<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
	<!-- Include all compiled plugins (below), or include individual files as needed -->
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>

    <footer class="pageFooter">
		<div class="row">
			<div class="col-xs-12 col-md-6 col-md-offset-3 center-block center-text">
				<span class="muted">Open Banking Brasil Functional Conformance Suite - Brought to you by Raidiam, with thanks to the OpenID Foundation<br /></span>
				<span class="muted"></span><a href="https://raidiam.com"><img src="/images/raidiam.png" width="285" height="32"></a></span>
			</div>
		</div>
    </footer>

    <script type="text/javascript">
	    $(document).ready(function() {
	        var urlParams = new URLSearchParams(window.location.search);

	        var error = urlParams.get('error');
	        var logout = urlParams.get('logout');

	        if (error) {
	        	   $('#error').show();
	        	   $('#error-details').text(error);
	        }

	        if (logout) {
	        	   $('#logout').show();
	        }
	    });
    </script>


</body>
</html>
